QGIS Application - Bug report #10469

layer refactoring regression: symbology previews for items in the layers list not updated after

re-ordered
2014-06-04 08:56 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Severe/Regression
Assignee: Martin Dobias
Category:

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 18881

Description

The symbology previews for items in the layers list fail to update when changed after a layer is re-ordered via drag and drop.

Steps to reproduce:
1. Create a new project
2. Add two vector layers (can be same dataset, or two empty memory

layers, doesn't matter)

3. Drag the top layer below the second layer via mouse drag and drop

4. Open the symbology property of the dragged layer and tweak the symbology (simply click on one of the pre-saved symbol)

5. Apply the change by clicking on 'OK'
6. Notice the layer symbology preview failed to update

Associated revisions

Revision 7ef06411 - 2014-06-05 06:24 AM - Martin Dobias

Fix #10469 (symbology not refreshed after drag'n'drop)

History

#1 - 2014-06-04 09:29 PM - Martin Dobias
- Status changed from Open to Closed

Fixed in changeset commit:"7ef06411503984a8fee 150865258 1aab90e960dc".
